<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="stack">
    <name>
      <text>12.2.2.2 local minima distinguishing</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<p class="HELM_exercise">Exercise</p><br>
<p>For the function \(f(x) = {@f@}\), \({@x1@} \leq x \leq {@x2@} \), find the positions of any local minima or maxima and distinguish between them.</p><br>
<ol class="HELM_parts">

    <li>
        Calculate the first derivative, \(\dfrac{\mathrm{d}f}{\mathrm{d}x}=\) [[input:ans1]] [[validation:ans1]] <br>[[feedback:prt1]]
    </li>

    <li>
        The stationary points are located at: \(x = \) [[input:ans2]] [[validation:ans2]] (write your answer as a list, e.g. <code>[x1,x2,x3]</code>) <br>[[feedback:prt2]]
    </li>
    <li>
        Now calculate the second derivative \(\displaystyle \dfrac{\mathrm{d}^2f}{\mathrm{d}x^2}=\) [[input:ans3]] [[validation:ans3]] <br>[[feedback:prt3]]</li>
    <li>
        <p>Finally, evaluate the second derivative at each stationary point and draw appropriate conclusions:</p>
        <div>\(\quad\) At \(x=\) [[input:ans4]] [[validation:ans4]], \(\dfrac{\mathrm{d}^2f}{\mathrm{d}x^2}=\) [[input:ans5]] [[validation:ans5]]. Hence, this is a [[input:ans6]] [[validation:ans6]]</div><br>
        <div>\(\quad\) At \(x=\) [[input:ans7]] [[validation:ans7]], \(\dfrac{\mathrm{d}^2f}{\mathrm{d}x^2}=\) [[input:ans8]] [[validation:ans8]]. Hence, this is a [[input:ans9]] [[validation:ans9]]</div><br>
        <div>\(\quad\) At \(x=\) [[input:ans10]] [[validation:ans10]], \(\dfrac{\mathrm{d}^2f}{\mathrm{d}x^2}=\) [[input:ans11]] [[validation:ans11]]. Hence, this is a [[input:ans12]] [[validation:ans12]]<br>[[feedback:prt4]]</div>
    </li>

</ol>]]></text>
    </questiontext>
    <generalfeedback format="html">
      <text><![CDATA[<ol class="HELM_parts">

<li><p>For \(f(x)={@f@}\) we have \[\frac{\mathrm{d}f}{\mathrm{d}x}={@df@}.\] </p></li>

<li><p> Hence stationary points are at values of \(x\) in the range specified for which \({@realroots(df)[1]@}\), i.e. at \({@const*x@} = \pi\) or \({@const*x@} = 2\pi\) or \({@const*x@} = 3\pi\) (making sure
    \(x\) is within the range \({@x1@} \leq x \leq {@x2@}\)). Then, stationary points are located at \(x=\displaystyle {@extrema[1]@}\), \(x= \displaystyle {@extrema[2]@}\) and \(x=\displaystyle {@extrema[3]@}\).</p></li>

<li><p>For the second derivative we have \[\frac{\mathrm{d}^2f}{\mathrm{d}x^2} = {@d2f@}.\] </p></li>

 <li><p> So, we have \[\begin{align} &amp;\frac{\mathrm{d}^2f}{\mathrm{d}x^2}\Bigr|_{x= {@extrema[1]@}} &amp;=&amp; {@ta_diff[1]@}\\ &amp;\frac{\mathrm{d}^2f}{\mathrm{d}x^2}\Bigr|_{x= {@extrema[2]@}} &amp;=&amp; {@ta_diff[2]@}\\ &amp;\frac{\mathrm{d}^2f}{\mathrm{d}x^2}\Bigr|_{x= {@extrema[3]@}}
    &amp;=&amp; {@ta_diff[3]@} \end{align}\]</p><br>

<p>Hence, \(x=\displaystyle {@extrema[1]@}\) is a {@class1@}, \(x= \displaystyle {@extrema[2]@}\) is a {@class2@}, and \(x=\displaystyle {@extrema[3]@}\) is a {@class3@}.</p><br>

<p>You can check against a sketch:</p><p><img src="@@PLUGINFILE@@/12-2-diagram-modified-coswave.svg" alt="Graph of a cos wave showing three stationary points between 0.1 and some upper bound." width="417" height="129" class="img-responsive atto_image_button_text-bottom"><br></p></li>
</ol>]]></text>
<file name="12-2-diagram-modified-coswave.svg" path="/" encoding="base64">[encoded data, 44464 characters]</file>
    </generalfeedback>
    <defaultgrade>1</defaultgrade>
    <penalty>0.1</penalty>
    <hidden>0</hidden>
    <idnumber/>
    <stackversion>
      <text>2020120600</text>
    </stackversion>
    <questionvariables>
      <text><![CDATA[/*Randomisation constants*/
const: rand(4)+2;

/*Question variables*/
cos_extrema: [pi,2*pi,3*pi]; /*equivalent extrema locations for cos(x) - ASCENDING*/
extrema: cos_extrema/const;
x1: 0.1;
x2: ceiling(extrema[3]);
f: cos(const*x);
df: diff(f,x);
d2f: diff(f,x,2);

/*Answers*/
ta1: df;
ta2: extrema;
ta3: d2f;
ta_diff: ev(subst(extrema,x,d2f));
is_min(x):= block([], if(i>0) then return(true) else if(i<0) then return(false));
ta_list: makelist([[null,false,"(not answered)"],[1,is_min(i),"local minimum"],[2,not(is_min(i)),"local maximum"]],i,ta_diff);

/*For display*/
class1: ta_list[1][mcq_correct(ta_list[1])[1]+1][3];
class2: ta_list[2][mcq_correct(ta_list[2])[1]+1][3];
class3: ta_list[3][mcq_correct(ta_list[3])[1]+1][3];]]></text>
    </questionvariables>
    <specificfeedback format="html">
      <text/>
    </specificfeedback>
    <questionnote format="moodle_auto_format">
      <text>{@f@}</text>
    </questionnote>
    <questiondescription format="moodle_auto_format">
      <text/>
    </questiondescription>
    <questionsimplify>1</questionsimplify>
    <assumepositive>0</assumepositive>
    <assumereal>0</assumereal>
    <prtcorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:green;"><i class="fa fa-check"></i></span> Correct answer, well done.]]></text>
    </prtcorrect>
    <prtpartiallycorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:orange;"><i class="fa fa-adjust"></i> Your answer is partially correct.</span>]]></text>
    </prtpartiallycorrect>
    <prtincorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:red;"><i class="fa fa-times"></i></span> Incorrect answer.]]></text>
    </prtincorrect>
    <decimals>.</decimals>
    <scientificnotation>*10</scientificnotation>
    <multiplicationsign>dot</multiplicationsign>
    <sqrtsign>1</sqrtsign>
    <complexno>i</complexno>
    <inversetrig>cos-1</inversetrig>
    <logicsymbol>lang</logicsymbol>
    <matrixparens>[</matrixparens>
    <isbroken>0</isbroken>
    <variantsselectionseed/>
    <input>
      <name>ans1</name>
      <type>algebraic</type>
      <tans>ta1</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans10</name>
      <type>algebraic</type>
      <tans>extrema[3]</tans>
      <boxsize>5</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans11</name>
      <type>algebraic</type>
      <tans>ta_diff[3]</tans>
      <boxsize>3</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans12</name>
      <type>dropdown</type>
      <tans>ta_list[3]</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>0</mustverify>
      <showvalidation>0</showvalidation>
      <options>nonotanswered</options>
    </input>
    <input>
      <name>ans2</name>
      <type>algebraic</type>
      <tans>ta2</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans3</name>
      <type>algebraic</type>
      <tans>ta3</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans4</name>
      <type>algebraic</type>
      <tans>extrema[1]</tans>
      <boxsize>5</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans5</name>
      <type>algebraic</type>
      <tans>ta_diff[1]</tans>
      <boxsize>3</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans6</name>
      <type>dropdown</type>
      <tans>ta_list[1]</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>0</mustverify>
      <showvalidation>0</showvalidation>
      <options>nonotanswered</options>
    </input>
    <input>
      <name>ans7</name>
      <type>algebraic</type>
      <tans>extrema[2]</tans>
      <boxsize>5</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans8</name>
      <type>algebraic</type>
      <tans>ta_diff[2]</tans>
      <boxsize>3</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options>allowempty</options>
    </input>
    <input>
      <name>ans9</name>
      <type>dropdown</type>
      <tans>ta_list[2]</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>0</mustverify>
      <showvalidation>0</showvalidation>
      <options>nonotanswered</options>
    </input>
    <prt>
      <name>prt1</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans1</sans>
        <tans>ta1</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt1-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <prt>
      <name>prt2</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text>check: subst(ans2,x,df);</text>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>setify(ans2)</sans>
        <tans>setify(extrema)</tans>
        <testoptions/>
        <quiet>1</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt2-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt2-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <prt>
      <name>prt3</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans3</sans>
        <tans>ta3</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt3-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt3-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <prt>
      <name>prt4</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text>sa1: [ans4,ans5,ans6];
sa2: [ans7,ans8,ans9];
sa3: [ans10,ans11,ans12];


indices: [sublist_indices(extrema, lambda([x1], x1 = sa1[1])), sublist_indices(extrema, lambda([x1], x1 = sa2[1])), sublist_indices(extrema, lambda([x1], x1 = sa3[1]))];

points: extrema;</text>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>member(sa1[1],points)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>1</truenextnode>
        <trueanswernote>prt4-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>12</falsenextnode>
        <falseanswernote>prt4-1-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(x= {@sa1[1]@}\) does not locate a stationary point of {@f@}.</p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>1</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa1[2]</sans>
        <tans>ta_diff[indices[1][1]]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1600000</truescore>
        <truepenalty/>
        <truenextnode>2</truenextnode>
        <trueanswernote>prt4-2-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>2</falsenextnode>
        <falseanswernote>prt4-2-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(\frac{d^2 f}{dx^2}\) is not well calculated for \(x={@sa1[1]@}\).</p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>10</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>member(sa3[1],[sa2[1],sa1[1]])</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt4-11-T</trueanswernote>
        <truefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(x={@sa3[1]@}\) has been repeated.<br></p>]]></text>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>6</falsenextnode>
        <falseanswernote>prt4-11-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>11</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>not(sa1[1]=EMPTYANSWER)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>0</truenextnode>
        <trueanswernote>prt4-12-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>12</falsenextnode>
        <falseanswernote>prt4-12-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>12</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>not(sa2[1]=EMPTYANSWER)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>9</truenextnode>
        <trueanswernote>prt4-13-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>13</falsenextnode>
        <falseanswernote>prt4-13-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>13</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>not(sa3[1]=EMPTYANSWER)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>10</truenextnode>
        <trueanswernote>prt4-14-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt4-14-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>2</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa1[3]</sans>
        <tans>mcq_correct(ta_list[indices[1][1]])[1]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1700000</truescore>
        <truepenalty/>
        <truenextnode>12</truenextnode>
        <trueanswernote>prt4-3-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>12</falsenextnode>
        <falseanswernote>prt4-3-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>3</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>member(sa2[1],points)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>4</truenextnode>
        <trueanswernote>prt4-4-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>13</falsenextnode>
        <falseanswernote>prt4-4-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(x= {@sa2[1]@}\) does not locate a stationary point of {@f@}.<br></p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>4</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa2[2]</sans>
        <tans>ta_diff[indices[2][1]]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1600000</truescore>
        <truepenalty/>
        <truenextnode>5</truenextnode>
        <trueanswernote>prt4-5-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>5</falsenextnode>
        <falseanswernote>prt4-5-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(\frac{d^2 f}{dx^2}\) is not well calculated for \(x={@sa2[1]@}\).<br></p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>5</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa2[3]</sans>
        <tans>mcq_correct(ta_list[indices[2][1]])[1]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1700000</truescore>
        <truepenalty/>
        <truenextnode>13</truenextnode>
        <trueanswernote>prt4-6-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>13</falsenextnode>
        <falseanswernote>prt4-6-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>6</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>member(sa3[1],delete(sa2[1],delete(sa1[1],points)))</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>7</truenextnode>
        <trueanswernote>prt4-7-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt4-7-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(x= {@sa3[1]@}\) does not locate a stationary point of {@f@}.<br></p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>7</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa3[2]</sans>
        <tans>ta_diff[indices[3][1]]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1700000</truescore>
        <truepenalty/>
        <truenextnode>8</truenextnode>
        <trueanswernote>prt4-8-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>8</falsenextnode>
        <falseanswernote>prt4-8-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(\frac{d^2 f}{dx^2}\) is not well calculated for \(x={@sa3[1]@}\).<br></p>]]></text>
        </falsefeedback>
      </node>
      <node>
        <name>8</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>sa3[3]</sans>
        <tans>mcq_correct(ta_list[indices[3][1]])[1]</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.1700000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt4-9-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt4-9-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>9</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>not(sa2[1]-sa1[1]=0)</sans>
        <tans>true</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0.0000000</truescore>
        <truepenalty/>
        <truenextnode>3</truenextnode>
        <trueanswernote>prt4-10-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>13</falsenextnode>
        <falseanswernote>prt4-10-F</falseanswernote>
        <falsefeedback format="html">
          <text><![CDATA[<p dir="ltr" style="text-align: left;">\(x={@sa2[1]@}\) has been repeated.<br></p>]]></text>
        </falsefeedback>
      </node>
    </prt>
    <deployedseed>1058919224</deployedseed>
    <deployedseed>1753576106</deployedseed>
    <deployedseed>694561720</deployedseed>
    <deployedseed>965110720</deployedseed>
    <qtest>
      <testcase>1</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ta1</value>
      </testinput>
      <testinput>
        <name>ans10</name>
        <value>extrema[3]</value>
      </testinput>
      <testinput>
        <name>ans11</name>
        <value>ta_diff[3]</value>
      </testinput>
      <testinput>
        <name>ans12</name>
        <value>mcq_correct(ta_list[3])[1]</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta2</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta3</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>extrema[1]</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta_diff[1]</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans7</name>
        <value>extrema[2]</value>
      </testinput>
      <testinput>
        <name>ans8</name>
        <value>ta_diff[2]</value>
      </testinput>
      <testinput>
        <name>ans9</name>
        <value>mcq_correct(ta_list[2])[1]</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt2-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt3</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt3-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt4</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt4-9-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>2</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ta1</value>
      </testinput>
      <testinput>
        <name>ans10</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans11</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans12</name>
        <value>mcq_incorrect(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta2</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta3</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>extrema[2]</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta_diff[2]</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>mcq_correct(ta_list[2])[1]</value>
      </testinput>
      <testinput>
        <name>ans7</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans8</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans9</name>
        <value>mcq_incorrect(ta_list[1])[1]</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt2-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt3</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt3-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt4</name>
        <expectedscore>0.3300000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt4-14-F</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>3</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans10</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans11</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans12</name>
        <value>mcq_incorrect(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>mcq_incorrect(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans7</name>
        <value>extrema[1]</value>
      </testinput>
      <testinput>
        <name>ans8</name>
        <value>ta_diff[1]</value>
      </testinput>
      <testinput>
        <name>ans9</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt3</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt4</name>
        <expectedscore>0.3300000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt4-14-F</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>4</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans10</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans11</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans12</name>
        <value>mcq_incorrect(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>extrema[1]</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta_diff[1]</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans7</name>
        <value>extrema[1]</value>
      </testinput>
      <testinput>
        <name>ans8</name>
        <value>ta_diff[1]</value>
      </testinput>
      <testinput>
        <name>ans9</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt3</name>
        <expectedscore/>
        <expectedpenalty/>
        <expectedanswernote>NULL</expectedanswernote>
      </expected>
      <expected>
        <name>prt4</name>
        <expectedscore>0.3300000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt4-14-F</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>5</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ta1+1</value>
      </testinput>
      <testinput>
        <name>ans10</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans11</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans12</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>[ta2[1]]</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta3+1</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>extrema[1]-1</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value/>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <testinput>
        <name>ans7</name>
        <value>extrema[1]</value>
      </testinput>
      <testinput>
        <name>ans8</name>
        <value>ta_diff[1]+1</value>
      </testinput>
      <testinput>
        <name>ans9</name>
        <value>mcq_correct(ta_list[1])[1]</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt1-1-F</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt2-1-F</expectedanswernote>
      </expected>
      <expected>
        <name>prt3</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt3-1-F</expectedanswernote>
      </expected>
      <expected>
        <name>prt4</name>
        <expectedscore>0.1700000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt4-14-F</expectedanswernote>
      </expected>
    </qtest>
  </question>
</quiz>
